gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-exchange] branch master updated: check for RFC 8959 prefix


From: gnunet
Subject: [taler-exchange] branch master updated: check for RFC 8959 prefix
Date: Thu, 02 Nov 2023 16:32:51 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository exchange.

The following commit(s) were added to refs/heads/master by this push:
     new 1acbbdec check for RFC 8959 prefix
1acbbdec is described below

commit 1acbbdec112eeaa7176b40764e13251d6f65ab04
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Thu Nov 2 16:32:46 2023 +0100

    check for RFC 8959 prefix
---
 src/testing/taler-unified-setup.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/src/testing/taler-unified-setup.sh 
b/src/testing/taler-unified-setup.sh
index 85735fd1..5e7748b7 100755
--- a/src/testing/taler-unified-setup.sh
+++ b/src/testing/taler-unified-setup.sh
@@ -238,6 +238,7 @@ register_bank_account() {
     MAYBE_IBAN="${4:-}"
     if test -n "$MAYBE_IBAN";
     then
+        # shellcheck disable=SC2001
         ENAME=$(echo "$3" | sed -e "s/ /+/g")
         # Note: this assumes that $3 has no spaces. Should probably escape in 
the future..
         PAYTO="payto://iban/SANDBOXX/${MAYBE_IBAN}?receiver-name=$ENAME"
@@ -526,6 +527,13 @@ then
             then
                 echo -n "Enabling Challenger client for $SECTION"
                 CLIENT_SECRET=$(taler-config -c "$CONF" -s "$SECTION" -o 
"KYC_OAUTH2_CLIENT_SECRET")
+                RFC_8959_PREFIX="secret-token:"
+                if ! echo "${CLIENT_SECRET}" | grep ^${RFC_8959_PREFIX} > 
/dev/null
+                then
+                    exit_fail "Client secret does not begin with 
${RFC_8959_PREFIX}"
+                fi
+                # shellcheck disable=SC2001
+                CLIENT_SECRET=$(echo "${CLIENT_SECRET}" | sed -e 
"s/^${RFC_8959_PREFIX}//")
                 
REDIRECT_URI="${EXCHANGE_URL}kyc-proof/kyc-provider-example-challeger"
                 CLIENT_ID=$(challenger-admin --add="${CLIENT_SECRET}" --quiet 
"${REDIRECT_URI}")
                 taler-config -c "$CONF" -s "$SECTION" -o KYC_OAUTH2_CLIENT_ID 
-V "$CLIENT_ID"

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]